> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# targetmeasurementunit

> MeasurementUnits

## "targetmeasurementunit" MDO List

MeasurementUnits

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TargetMeasurementUnitProvider">TargetMeasurementUnitProvider</see> class.
The name of the MDO list is 'targetmeasurementunit'.

## Additional Attributes

| Description                                       | Name             | Example Value |
| ------------------------------------------------- | ---------------- | ------------- |
| The entity type. (Sale, Project, Selection, etc.) | TargetEntityType |               |
| TargetListField                                   | The list field   |               |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/targetmeasurementunit
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("targetmeasurementunit", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name   | StyleHint | ExtraInfo |
| -- | ------ | --------- | --------- |
| 1  | Amount |           |           |
| 2  | Count  |           |           |
| 3  | Profit |           |           |

## Related MDO Lists

* "targetmeasurementunitheadings"
* "targetmeasurementunitheadingswithallitem"
* "targetmeasurementunitheadingswithallitemwithnoselection"
* "targetmeasurementunitheadingswithnoselection"
* "targetmeasurementunitwithallitem"
* "targetmeasurementunitwithallitemwithnoselection"
* "targetmeasurementunitwithnoselection"


## Related topics

- [Enum TargetMeasurementUnit](/en/automation/crmscript/reference/CRMScript.NetServer.TargetMeasurementUnit.md)
- [Enum values for TargetMeasurementUnit](/en/database/tables/enums/targetmeasurementunit.md)
- [SuperOffice.WebApi.Data.TargetMeasurementUnit](/en/api/reference/webapi/SuperOffice.WebApi.Data.TargetMeasurementUnit.md)
- [SuperOffice.WebApi.Data.TargetDimension](/en/api/reference/webapi/SuperOffice.WebApi.Data.TargetDimension.md)
- [target_dimension table](/en/database/tables/target-dimension.md)
- [SuperOffice.WebApi.Data](/en/api/reference/webapi/SuperOffice.WebApi.Data.md)
